diff --git a/.eslintrc b/.eslintrc
index 0e3fa4d..e85721e 100644
--- a/.eslintrc
+++ b/.eslintrc
@@ -13,17 +13,17 @@
             "error",
             {
                 "singleQuote": true,
-                "tabWidth": "4",
-                "printWidth": "160"
+                "tabWidth": 4,
+                "printWidth": 160
             }
         ],
         "no-console": "off",
         "no-use-before-define": ["error", { "functions": false }],
         "func-names": ["off"],
-        "complexity": ["error", 16],
+        "complexity": ["error", 26],
         "curly": ["error", "all"],
         "dot-location":  ["error", "property"],
-        "dot-notation": ["error", { "allowKeywords": false }],
+        "dot-notation": ["error"],
         "eqeqeq": ["error", "always"],
         "guard-for-in": "error",
         "no-alert": "error",
@@ -37,7 +37,8 @@
         "no-shadow": "error",
         "global-require": "error",
         "comma-dangle": ["error", "never"],
-        "camelcase": ["error",{"properties": "always"}]
+        "camelcase": ["error",{"properties": "always"}],
+        "no-prototype-builtins": "off"
     },
     "env": {
         "amd": true,
diff --git a/dockerfile b/dockerfile
index 31d14cb..f1ed903 100644
--- a/dockerfile
+++ b/dockerfile
@@ -1,4 +1,4 @@
-FROM node:10
+FROM node:12
 
 RUN apt-get update \
     && apt-get install -qq libcairo2-dev libjpeg-dev libpango1.0-dev libgif-dev librsvg2-dev build-essential g++
diff --git a/memory-leak-test.js b/memory-leak-test.js
index 21b60e1..7f54bf7 100644
--- a/memory-leak-test.js
+++ b/memory-leak-test.js
@@ -1,5 +1,3 @@
-/* eslint no-process-exit: "warn"*/
-
 // node --expose-gc memory-leak-test.js
 
 const fs = require("fs");
@@ -33,5 +31,5 @@ function compare() {
 
 function log() {
     console.timeEnd(timerLabel);
-    process.exit(0);
+    process.exit(0); //eslint-disable-line
 }
diff --git a/nodejs-tests/ignore.test.js b/nodejs-tests/ignore.test.js
index ed31b52..88e1141 100644
--- a/nodejs-tests/ignore.test.js
+++ b/nodejs-tests/ignore.test.js
@@ -1,24 +1,24 @@
 /* eslint-env jest*/
 
-const resemble = require('../resemble');
-const fs = require('fs');
+const resemble = require("../resemble");
+const fs = require("fs");
 
-describe('ignore', () => {
-    test('ignore antialiasing on', async () => {
-        const text = fs.readFileSync('./nodejs-tests/assets/text.png');
-        const textAa = fs.readFileSync('./nodejs-tests/assets/textAa.png');
+describe("ignore", () => {
+    test("ignore antialiasing on", async () => {
+        const text = fs.readFileSync("./nodejs-tests/assets/text.png");
+        const textAa = fs.readFileSync("./nodejs-tests/assets/textAa.png");
 
         return new Promise(resolve => {
-            const opts = { ignore: 'antialiasing' };
+            const opts = { ignore: "antialiasing" };
 
             resemble.compare(text, textAa, opts, (_x, data) => {
-                expect(data.misMatchPercentage).toBe('0.00');
+                expect(data.misMatchPercentage).toBe("0.00");
                 const buffer = data.getBuffer();
 
                 expect(buffer).toBeInstanceOf(Buffer);
 
                 const comparison = fs.readFileSync(
-                    './nodejs-tests/assets/isAntialiased/diffOn.png'
+                    "./nodejs-tests/assets/isAntialiased/diffOn.png"
                 );
 
                 expect(buffer.equals(comparison)).toBe(true);
@@ -27,19 +27,19 @@ describe('ignore', () => {
         });
     });
 
-    test('ignore antialiasing off', async () => {
-        const text = fs.readFileSync('./nodejs-tests/assets/text.png');
-        const textAa = fs.readFileSync('./nodejs-tests/assets/textAa.png');
+    test("ignore antialiasing off", async () => {
+        const text = fs.readFileSync("./nodejs-tests/assets/text.png");
+        const textAa = fs.readFileSync("./nodejs-tests/assets/textAa.png");
 
         return new Promise(resolve => {
             resemble.compare(text, textAa, {}, (_x, data) => {
-                expect(data.misMatchPercentage).toBe('5.19');
+                expect(data.misMatchPercentage).toBe("5.19");
                 const buffer = data.getBuffer();
 
                 expect(buffer).toBeInstanceOf(Buffer);
 
                 const comparison = fs.readFileSync(
-                    './nodejs-tests/assets/isAntialiased/diffOff.png'
+                    "./nodejs-tests/assets/isAntialiased/diffOff.png"
                 );
 
                 expect(buffer.equals(comparison)).toBe(true);
diff --git a/resemble.js b/resemble.js
index c1ff53d..374d073 100644
--- a/resemble.js
+++ b/resemble.js
@@ -5,7 +5,7 @@ URL: https://github.com/Huddle/Resemble.js
 
 var isNode = new Function(
     "return (typeof process !== 'undefined') && (process.release.name === 'node')"
-);
+); //eslint-disable-line
 
 (function(root, factory) {
     "use strict";
@@ -16,7 +16,7 @@ var isNode = new Function(
     } else {
         root.resemble = factory();
     }
-})(this /*eslint-disable-line no-invalid-this*/, function() {
+})(this /* eslint-disable-line no-invalid-this*/, function() {
     "use strict";
 
     var Img;
@@ -152,12 +152,12 @@ var isNode = new Function(
         }
 
         function withinComparedArea(x, y, width, height) {
-            var isIncluded = true,
-                i,
-                boundingBox,
-                ignoredBox,
-                selected,
-                ignored;
+            var isIncluded = true;
+            var i;
+            var boundingBox;
+            var ignoredBox;
+            var selected;
+            var ignored;
 
             if (boundingBoxes instanceof Array) {
                 selected = false;
@@ -338,7 +338,7 @@ var isNode = new Function(
                 fileDataForImage instanceof Buffer
             ) {
                 // If we have Buffer, assume we're on Node+Canvas and its supported
-                //hiddenImage.src = fileDataForImage;
+                // hiddenImage.src = fileDataForImage;
 
                 loadNodeCanvasImage(fileDataForImage)
                     .then(function(image) {
